Subject: Re: linux-next: manual merge of the modules tree with the mm tree

From: Andrew Morton <[email-masked]>
Date: Wed, 24 Apr 2024 13:07:57 -0700

On Wed, 24 Apr 2024 12:39:35 +1000 Stephen Rothwell <[email-masked]> wrote:

> Hi all,
> 
> Today's linux-next merge of the modules tree got a conflict in:
> 
>   kernel/module/main.c
> 
> between commits:
> 
>   7f014cdda4cb ("lib: code tagging module support")
>   5ab9b0c7ea5c ("lib: prevent module unloading if memory is not freed")
> 
> from the mm-unstable branch of the mm tree and commits:
> 
>   0746f9982603 ("module: make module_memory_{alloc,free} more self-contained")
>   18da532eefc8 ("mm/execmem, arch: convert remaining overrides of module_alloc to execmem")
> 
> from the modules tree.
> 
> I fixed it up (I think, see below) and can carry the fix as
> necessary. This is now fixed as far as linux-next is concerned, but any
> non trivial conflicts should be mentioned to your upstream maintainer
> when your tree is submitted for merging.  You may also want to consider
> cooperating with the maintainer of the conflicting tree to minimise any
> particularly complex conflicts.

That's a shame.  I don't see much that we can do to reduce the damage here.

Suren&Kent, please review (and preferably) test Stephen's handiwork in
linux-next?